summaryrefslogtreecommitdiff
path: root/onig-config.in
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2014-08-12 21:06:31 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2014-08-12 21:06:31 +0200
commit0dbf3761f6b98e5c16c9bfa0306ae5d3257d081f (patch)
treeb122da5e29b81eb5489734f477afb645422980d0 /onig-config.in
Imported Upstream version 5.9.5upstream/5.9.5
Diffstat (limited to 'onig-config.in')
-rw-r--r--onig-config.in78
1 files changed, 78 insertions, 0 deletions
diff --git a/onig-config.in b/onig-config.in
new file mode 100644
index 0000000..eca7179
--- /dev/null
+++ b/onig-config.in
@@ -0,0 +1,78 @@
+#!/bin/sh
+# Copyright (C) 2006 K.Kosako (sndgk393 AT ybb DOT ne DOT jp)
+
+ONIG_VERSION=@PACKAGE_VERSION@
+
+show_usage()
+{
+ cat <<EOF
+Usage: onig-config [OPTION]
+
+ Values for OPTION are:
+ --prefix[=DIR] change prefix to DIR
+ --prefix print prefix
+ --exec-prefix[=DIR] change exec_prefix to DIR
+ --exec-prefix print exec_prefix
+ --cflags print C compiler flags
+ --libs print library information
+ --version print oniguruma version
+ --help print this help
+
+EOF
+
+ exit 1
+}
+
+if test $# -eq 0; then
+ show_usage
+fi
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+is_set_exec_prefix=no
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) val=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'`
+ ;;
+ *) val=
+ ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$val
+ if test $is_set_exec_prefix = no ; then
+ exec_prefix=$val
+ fi
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$val
+ is_set_exec_prefix=yes
+ ;;
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+ --cflags)
+ if test @includedir@ != /usr/include ; then
+ show_includedir=-I@includedir@
+ fi
+ echo $show_includedir
+ ;;
+ --libs)
+ echo -L@libdir@ -lonig
+ ;;
+ --version)
+ echo $ONIG_VERSION
+ ;;
+ *)
+ show_usage
+ ;;
+ esac
+ shift
+done
+
+# END